Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.encog.app.analyst
Enum AnalystFileFormat

    java.lang.Object
      java.lang.Enum<AnalystFileFormat>
          org.encog.app.analyst.AnalystFileFormat

All Implemented Interfaces:
  Serializable, Comparable<AnalystFileFormat>

    public enum AnalystFileFormat

extends Enum<AnalystFileFormat>

CSV file formats used by the Encog Analyst.

Enum Constant Summary
`DECCOMMA_SEMI` Decimal comma and ; .
`DECCOMMA_SPACE` Decimal comma and space.
`DECPNT_COMMA` Normal English file, decimal point and comma.
`DECPNT_SEMI` Decimal point and ; delimiter.
`DECPNT_SPACE` Normal English file, decimal point, but space delimiter.

Method Summary
`static AnalystFileFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AnalystFileFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DECPNT_COMMA

    public static final AnalystFileFormat DECPNT_COMMA

  Normal English file, decimal point and comma.

### DECPNT_SPACE

    public static final AnalystFileFormat DECPNT_SPACE

  Normal English file, decimal point, but space delimiter.

### DECPNT_SEMI

    public static final AnalystFileFormat DECPNT_SEMI

  Decimal point and ; delimiter.

### DECCOMMA_SPACE

    public static final AnalystFileFormat DECCOMMA_SPACE

  Decimal comma and space. (non-English usually).

### DECCOMMA_SEMI

    public static final AnalystFileFormat DECCOMMA_SEMI

  Decimal comma and ; . (non-English usually).

Method Detail

### values

    public static AnalystFileFormat[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AnalystFileFormat c : AnalystFileFormat.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AnalystFileFormat valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011. All Rights Reserved.